Name: qmpdclient
Version: 1.0.8
Release: alt1

Summary: Qt4-based mpd client
License: GPL
Group: Sound
Url: http://havtknut.tihlde.org/qmpdclient/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Source: %name-%version.tar.bz2

BuildPreReq: gcc-c++ libqt4-devel >= 4.2.0

Requires: libqt4 >= 4.2.0

%description
QMPDClient is an easy to use MPD client written in Qt 4.1.

%prep
%setup

%build
export PATH=$PATH:%_qt4dir/bin
%__subst 's,/local,,' qmpdclient.pro
qmake
%__subst 's|-pipe |%optflags -fno-strict-aliasing |g' Makefile
%make_build

%install
%makeinstall INSTALL_ROOT=%buildroot
for i in 16 22 32 64 128; do
    install -pD -m644 icons/qmpdclient$i.png %buildroot%_iconsdir/hicolor/${i}x$i/apps/%name.png
done
install -pD -m644 icons/svg/qmpdclient.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg

%files
%_bindir/*
%_iconsdir/hicolor/*/apps/%name.*
%doc AUTHORS Changelog README THANKSTO

%changelog
* Sun Jul 01 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.8-alt1
- 1.0.8

* Thu Dec 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Tue Dec 19 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt2
- use optflags (drool@)
- install and package bundled icons

* Sat Oct 21 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.2-alt1
- 1.0.6.2

* Fri Oct 13 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.6.1-alt1
- 1.0.6.1

* Sat Sep 30 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0.5-alt1
- initial build
